--[[
	CS_Globals.lua - Is a support module file for the CombatStats
	World of Warcraft addon.  This module has global constants use throughout CombatStats.
	
	Copyright (C) 2011 Brian Beardmore - wowaddon(at)realisticsoftware(dot)com

	Revisions:
		2008.08.24 BAB	New today
						
	License:
		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program(see GPL.txt); if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
]]


-------------------------------------------------------------------------------
-- Global Constants
-------------------------------------------------------------------------------

if (not CombatStats) then CombatStats = {}; end

CombatStats.kHitType 			= "hit"
CombatStats.kCritType 			= "crit"
CombatStats.kMissType 			= "miss"
CombatStats.kParryType 			= "parry"
CombatStats.kDodgeType 			= "dodge"
CombatStats.kDeflectType 		= "deflect"
CombatStats.kBlockType 			= "block"
CombatStats.kEvadeType 			= "evade"
CombatStats.kImmuneType 		= "immune"
CombatStats.kResistType 		= "resist"
CombatStats.kDotType			= "dot"
CombatStats.kHotType 			= "hot"
CombatStats.kTotalType 			= "total"
CombatStats.kYourType			= "Your"
